<template>
  <div>
    <v-dialog v-model="dialogLeave" persistent max-width="600px">
      <v-card>
        <v-card-title>
          <div class="titModal">
            <strong
              >¿Desea salir?, sus cambios previamente realizados se
              perderán.</strong
            >
          </div>
        </v-card-title>
        <v-card-text></v-card-text>
        <v-card-actions>
          <v-row justify="center" style="margin-right:0px">
            <v-btn
              class="ma-2"
              dark
              tile
              depressed
              color="secondary"
              @click="confirm(false)"
              >No, cancelar</v-btn
            >
            <v-btn
              class="ma-2"
              depressed
              dark
              tile
              color="primary"
              @click="confirm(true)"
              >Si, continuar</v-btn
            >
          </v-row>
        </v-card-actions>
      </v-card>
    </v-dialog>
  </div>
</template>
<script>
export default {
  name: "Component-LeavePage",
  data() {
    return {
      dialogLeave: false,
      open: false,
      next: null
    };
  },
  methods: {
    confirm(status) {
      this.dialogLeave = false;
      this.next(status);
    },
    beforeRouteLeave(to, from, next, open) {
      this.open = open;
      this.next = next;
      if (this.open) {
        this.dialogLeave = true;
      } else {
        next();
      }
    }
  }
};
</script>
